import { otherHttp } from '/@/utils/http/axios'

enum Api {
    bizCommonFileList = '/mine/bizCommonFile/list', // 文件列表
}

/**
 * @param params 请求参数
 * @description: 文件列表
 */
export function bizCommonFileList(params = {}) {
    return otherHttp.get({
        url: Api.bizCommonFileList,
        params,
    })
}
/**
 * 资源列表
 * @param params
 * @returns
 */
export function getResourceList(params = {}) {
    return otherHttp.get({
        url: '/resource/list',
        params,
    })
}
/**
 * 添加资源
 * @param params
 * @returns
 */
export function addResource(params = {}) {
    return otherHttp.post({
        url: '/resource/add',
        params,
    })
}
/**
 * 下载资源
 * @param params
 * @returns
 */
export function downloadResource(params = {}) {
    return otherHttp.get({
        url: '/resource/download',
        params,
    })
}
